Orangutan - Improvement #14

Some sanity checks would be helpful
01 Oct 2009 17:45 - Andriy Lesyuk
Target version: 0.01

Description

For example, currently some of contexts should be copied before use (because they save state inside). Such contexts should have
“copy” equal to “true” but what if developer (me) forgot to do this? There can be some internal checks which would write to logs
something like: “Hey! You save state in custom field here but the context is not copiable!”.

History

#1 - 07 Oct 2009 17:20 - Andriy Lesyuk
Added for SetField and InsertForeignHandler

#2 - 01 Mar 2011 21:33 - Andriy Lesyuk

- Tracker changed from Bug to Improvement
